#!@@PERL@@

# snmp_gather
#						Author: Rich West
#						Rich.West@wesmo.com
#
# A simple Perl script which uses SNMP to gather specific system data from
# snmp-aware hosts and enter/update that data in the database.
################################################################################

use snmpUtils;

&usage() if ($#ARGV+1 < 1 || $#ARGV+1 > 2);

&main($ARGV[0],$ARGV[1]);

sub usage
{
   print STDERR "usage: $0 hostname [community]\n";
   print STDERR "If not supplied, community will default to \"public\".\n\n";
   exit 1;
}

sub parse_host
{
   ($host,$community) = @_;

   $community = "public" if (! $community);
   $snmp = "$community\@$host";

   @info = { "system.sysDescr.0", "system.sysName.0", "system.sysContact.0", "system.sysLocation.0" };

   foreach $info (@info)
   {
      @result = snmpUtils::get($snmp, $info);
      print $result[0] . "\n";
   }
}

sub main
{
   ($community) = @_;

   &parse_host($host, $community);
}
